figure (1)
hold on
plot(1:836,xsum(:,2),'LineWidth',1.5,'Color',rgb('blue'))
plot(1:836,xsum(:,6),'LineWidth',1.5,'Color',rgb('red'))
plot(1:836,xsum(:,8),'LineWidth',1.5,'Color',rgb('dark yellow'))
xlim([50 800])
  set(gca,'FontSize',15,'ytickLabel',[]);
xlabel('Pixel Number','interpreter','latex','fontsize',18);
ylabel('Intensity/arb. units','interpreter','latex','fontsize',18);
box on